#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# $Revision: 1.7 $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************

PRJ=..$/..

PRJNAME=ucb
TARGET=ucbdemo
TARGETTYPE=GUI
LIBTARGET=NO

ENABLE_EXCEPTIONS=TRUE

# --- Settings ---

.INCLUDE : settings.mk

# --- Files ---

OBJFILES=\
    $(OBJ)$/srcharg.obj \
    $(OBJ)$/ucbdemo.obj

#SRSFILES= $(SRS)$/ucbdemo.srs

#
# UCBDEMO
#
APP1TARGET=	ucbdemo
APP1OBJS=\
    $(OBJ)$/srcharg.obj \
    $(OBJ)$/ucbdemo.obj
#APP1RES=	$(RES)$/ucbdemo.res

.IF "$(COMPHELPERLIB)"==""

.IF "$(GUI)" == "UNX"
COMPHELPERLIB=-licomphelp2
.ENDIF # unx

.IF "$(GUI)"=="WNT"
COMPHELPERLIB=icomphelp2.lib
.ENDIF # wnt

.ENDIF

APP1STDLIBS=\
    $(SALLIB) \
    $(VOSLIB) \
    $(CPPULIB) \
    $(CPPUHELPERLIB) \
    $(COMPHELPERLIB) \
    $(TOOLSLIB) \
    $(VCLLIB) \
    $(UCBHELPERLIB)

# --- Targets ---

.INCLUDE : target.mk

